summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-util/xboxgw
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-util/xboxgw')
-rw-r--r--games-util/xboxgw/Manifest2
-rw-r--r--games-util/xboxgw/metadata.xml5
-rw-r--r--games-util/xboxgw/xboxgw-1.082.ebuild47
3 files changed, 54 insertions, 0 deletions
diff --git a/games-util/xboxgw/Manifest b/games-util/xboxgw/Manifest
new file mode 100644
index 00000000000..10320c9abb0
--- /dev/null
+++ b/games-util/xboxgw/Manifest
@@ -0,0 +1,2 @@
+DIST hmlibs-1.07-2.i386.tgz 120364 SHA256 945fb8b4e8707db489d4c50c0577ec2e4eab9bbca91175035ba2f6b4583b2abc SHA512 2624c44bee7985586288f3c3e2c27e30fb23735a555635ec5a2813a40a54eb7ae1ec0e6f691d883832ec2790ad88a7f03e15ebbaea464db20e2107635463c96c WHIRLPOOL 43064a41d5d25cd860153a0b3ca1423180d90f0390d4ef3303940b198b8d1513c177f46df7e3de78be5941e21f86848980c0bcc111b455877c809683ce3bf1dc
+DIST xboxgw-1.08-2.tgz 91488 SHA256 17a3ace82d36e6049762cf6a455595cc5e3b45ee3bc7780a96c4c14d84c81335 SHA512 dd4b97fd535e84b4cae34135ab8220399e410a0ca3c73e3fff244ba6ec7f6944f40a7e33c74f3872496cae03fb87dc90e11b7fd4b788ee061d32f86ad36b0617 WHIRLPOOL 1383dfe0229517bf8cf2302a4c0c4d1dc086e523c8214c78f5d211dbb527bc1db0288aa35978d9415773ce0cabdf14e39dc73c044265f7bf445ac9342108a4d1
diff --git a/games-util/xboxgw/metadata.xml b/games-util/xboxgw/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-util/xboxgw/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>
diff --git a/games-util/xboxgw/xboxgw-1.082.ebuild b/games-util/xboxgw/xboxgw-1.082.ebuild
new file mode 100644
index 00000000000..35e13bbe10e
--- /dev/null
+++ b/games-util/xboxgw/xboxgw-1.082.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils
+
+XBOXGW_P="${PN}-1.08-2"
+HMLIBS_P="hmlibs-1.07-2"
+
+DESCRIPTION="Tunnels XBox system link games over the net"
+HOMEPAGE="http://www.xboxgw.com/"
+SRC_URI="http://www.xboxgw.com/rel/dist2.1/tarballs/i386/${XBOXGW_P}.tgz
+ http://www.xboxgw.com/rel/dist2.1/tarballs/i386/${HMLIBS_P}.i386.tgz"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~amd64 x86"
+IUSE=""
+
+QA_PREBUILT="opt/${PN}/lib/libhmdb.so
+ opt/${PN}/lib/libhmsched.so
+ opt/${PN}/lib/libhmcli.so
+ opt/${PN}/lib/libhmsdb.so
+ opt/${PN}/bin/hmdbdump
+ opt/${PN}/bin/xboxgw
+ opt/${PN}/bin/xbifsetup"
+
+S=${WORKDIR}
+
+src_install() {
+ into /opt/${PN}
+
+ cd "${WORKDIR}/${HMLIBS_P}"
+ dolib.so *.so
+ dobin hmdbdump
+ insinto /usr/include/hmlibs
+ doins *.h
+
+ cd "${WORKDIR}/${XBOXGW_P}"
+ dobin xboxgw xbifsetup
+ dodoc *.txt
+
+ if use amd64 ; then
+ mv "${D}"/opt/${PN}/lib64 "${D}"/opt/${PN}/lib || die
+ fi
+}